summaryrefslogtreecommitdiffstats
path: root/streams/deepmix
diff options
context:
space:
mode:
Diffstat (limited to 'streams/deepmix')
-rwxr-xr-xstreams/deepmix26
1 files changed, 26 insertions, 0 deletions
diff --git a/streams/deepmix b/streams/deepmix
new file mode 100755
index 00000000..b8f8fba8
--- /dev/null
+++ b/streams/deepmix
@@ -0,0 +1,26 @@
+#! /bin/bash
+set -euf
+CMD="mplayer http://deepmix.ru/deepmix128.pls"
+function start() {
+ stop
+ tmux start-server
+ tmux new-session -d "$CMD"
+}
+function stop() {
+ pkill mplayer || :
+}
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac